<?php
/**************************************************
  Coppermine 1.5.x Plugin - collageplus
  *************************************************
  Copyright (c) 2013 Mykee (www.acegem.hu)
  *************************************************
  This plugin based on CollagePlus gallery script.
  More parameters, license visit developer's website: http://collageplus.edlea.com/
  ************************************************
  This Coppermine plugin include next jQuery addons too, for license and plus settings, please visit these websites:
  - TipTip - Copyright © 2010 Drew Wilson - http://code.drewwilson.com/entry/tiptip-jquery-plugin
  - LightBox 0.5 (modded by Mykee to 0.51) - Copyright © 2007 Leandro Vieira Pinho - http://leandrovieira.com/projects/jquery/lightbox/
  ************************************************
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/branches/cpg1.5.x/plugins/collageplus/plugin_config.php $
  $Revision: 6994 $
  $LastChangedBy: mykee $
  $Date: 2013-09-03 21:05:10 +0100 (Tue, 03 Sep 2013) $
  **************************************************/


require_once('include/init.inc.php');
require('./plugins/collageplus/include/init.inc.php');


$collageplus_superCage = Inspekt::makeSuperCage();

global $CONFIG,$lang_plugin_collageplus;
if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
if($lang_text_dir=='ltr') {
  $align="left";
  $direction="ltr";
}else {
  $align="right";
  $direction="rtl";
}

pageheader($lang_plugin_collageplus['display_name']);
if ($collageplus_superCage->post->keyExists('update')) {
  $collageplus_compatcode = $collageplus_superCage->post->getInt('collageplus_compatcode');
  $collageplus_jquery = $collageplus_superCage->post->getInt('collageplus_jquery');
  $collageplus_width = $collageplus_superCage->post->getDigits('collageplus_width');
  $collageplus_height = $collageplus_superCage->post->getDigits('collageplus_height');
  $collageplus_numberofpics = $collageplus_superCage->post->getDigits('collageplus_numberofpics');
  $collageplus_album = $collageplus_superCage->post->getAlnum('collageplus_album');
  $collageplus_margin = $collageplus_superCage->post->getDigits('collageplus_margin');
  $collageplus_fade = $collageplus_superCage->post->getDigits('collageplus_fade');
  $collageplus_container = $collageplus_superCage->post->getDigits('collageplus_container');
  $collageplus_caption = $collageplus_superCage->post->getInt('collageplus_caption');
  $collageplus_thumb = $collageplus_superCage->post->getInt('collageplus_thumb');
  $collageplus_lbox = $collageplus_superCage->post->getInt('collageplus_lbox');
  $collageplus_ulclass = $collageplus_superCage->post->getRaw('collageplus_ulclass');
  $collageplus_header = $collageplus_superCage->post->getInt('collageplus_header');
  $collageplus_oriental = $collageplus_superCage->post->getInt('collageplus_oriental');
  $collageplus_lastrow = $collageplus_superCage->post->getInt('collageplus_lastrow');
  
   if ($collageplus_thumb == 1) {
  $maxnum = 100;
  } else {
  $maxnum = 50;
  }
  // if someone types text into a number input field, set default value
  if($collageplus_width != strval(intval($collageplus_width)) || $collageplus_width =="" ) $collageplus_width = 320;
  if($collageplus_height != strval(intval($collageplus_height)) || $collageplus_height =="" ) $collageplus_height = 200;
  if($collageplus_numberofpics != strval(intval($collageplus_numberofpics))) $collageplus_numberofpics = 30;
  if($collageplus_numberofpics < 8 or $collageplus_numberofpics > $maxnum) $collageplus_numberofpics = 15;
  if($collageplus_ulclass == "") $collageplus_ulclass = "collageplusmenu";
  if($collageplus_container == "") $collageplus_container = "2000";
  
  $s="UPDATE `{$CONFIG['TABLE_PREFIX']}plugin_collageplus` SET collageplus_compatcode=($collageplus_compatcode), collageplus_jquery=($collageplus_jquery), collageplus_album=('$collageplus_album'), collageplus_width=($collageplus_width), collageplus_height=($collageplus_height), collageplus_numberofpics=($collageplus_numberofpics), collageplus_margin=('$collageplus_margin'), collageplus_fade=($collageplus_fade), collageplus_container=('$collageplus_container'), collageplus_caption=($collageplus_caption), collageplus_thumb=($collageplus_thumb), collageplus_lbox=($collageplus_lbox), collageplus_ulclass=('$collageplus_ulclass'), collageplus_header=($collageplus_header), collageplus_oriental=($collageplus_oriental), collageplus_lastrow=($collageplus_lastrow)";
//print_r ($s); exit;
  cpg_db_query($s); 
  msg_box($lang_plugin_collageplus['display_name'], $lang_plugin_collageplus['update_success']);
}

if ($COLLAGEPLUSSET['collageplus_thumb'] == 1) {
  $maxnum = 100;
  } else {
  $maxnum = 50;
  }
require('./plugins/collageplus/include/load_collageplusset.php');


starttable('100%', $lang_plugin_collageplus['main_title'].' - Version '.$lang_plugin_collageplus['version']);
?>

<TR>
  <TD class=tableh2 colSpan=3><?php echo $lang_plugin_collageplus['main_title']?></TD>
</TR>
<TR>
  <td><form action="<?php $_SERVER['PHP_SELF']?>" method="post" name="collageplus_settings">
      <table class="maintable" cellSpacing="2" cellPadding="2" width="100%" align="<?php echo $align?>" border=0 id="section1">
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_collageplus['collageplus_compatcode']?>&nbsp;&nbsp;</td>
          <td><input name="collageplus_compatcode" type="radio" value="1" <?php if($COLLAGEPLUSSET['collageplus_compatcode'] == 1) echo 'checked="checked"';?> id="collageplus_compatcode1"/>
            <?php echo $lang_plugin_collageplus['collageplus_yes']?>
            <input name="collageplus_compatcode" type="radio" value="0" <?php if($COLLAGEPLUSSET['collageplus_compatcode'] == 0) echo 'checked="checked"';?> id="collageplus_compatcode0"/>
            <?php echo $lang_plugin_collageplus['collageplus_no']?>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_collageplus['collageplus_jquery']?>&nbsp;&nbsp;</td>
          <td><input name="collageplus_jquery" type="radio" value="1" <?php if($COLLAGEPLUSSET['collageplus_jquery'] == 1) echo 'checked="checked"';?> id="collageplus_jquery1"/>
            <?php echo $lang_plugin_collageplus['collageplus_yes']?>
            <input name="collageplus_jquery" type="radio" value="0" <?php if($COLLAGEPLUSSET['collageplus_jquery'] == 0) echo 'checked="checked"';?> id="collageplus_jquery0"/>
            <?php echo $lang_plugin_collageplus['collageplus_no']?>
        </tr>
        <tr>
        	<td align="right"><?php echo $lang_plugin_collageplus['album']?>&nbsp;&nbsp;</td>
        	<td>
        		  <select name="collageplus_album" id="collageplus_album">
                 <option value="random" <?php if($COLLAGEPLUSSET['collageplus_album'] == "random") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['random']?></option>
                 <option value="lastup" <?php if($COLLAGEPLUSSET['collageplus_album'] == "lastup") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['lastup']?></option>
                 <option value="topn" <?php if($COLLAGEPLUSSET['collageplus_album'] == "topn") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['topn']?></option>
                 <option value="toprated" <?php if($COLLAGEPLUSSET['collageplus_album'] == "toprated") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['toprated']?></option>
              </select>
          </td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_collageplus['collageplus_oriental']?>&nbsp;&nbsp;</td>
          <td><input name="collageplus_oriental" type="radio" value="1" <?php if($COLLAGEPLUSSET['collageplus_oriental'] == 1) echo 'checked="checked"';?> id="collageplus_oriental1"/>
            <?php echo $lang_plugin_collageplus['collageplus_horizontal']?>
            <input name="collageplus_oriental" type="radio" value="2" <?php if($COLLAGEPLUSSET['collageplus_oriental'] == 2) echo 'checked="checked"';?> id="collageplus_oriental2"/>
            <?php echo $lang_plugin_collageplus['collageplus_vertical']?>
            <input name="collageplus_oriental" type="radio" value="0" <?php if($COLLAGEPLUSSET['collageplus_oriental'] == 0) echo 'checked="checked"';?> id="collageplus_oriental0"/>
            <?php echo $lang_plugin_collageplus['collageplus_mixedori']?>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_collageplus['collageplus_header']?>&nbsp;&nbsp;</td>
          <td><input name="collageplus_header" type="radio" value="1" <?php if($COLLAGEPLUSSET['collageplus_header'] == 1) echo 'checked="checked"';?> id="collageplus_header1"/>
            <?php echo $lang_plugin_collageplus['collageplus_yes']?>
            <input name="collageplus_header" type="radio" value="0" <?php if($COLLAGEPLUSSET['collageplus_header'] == 0) echo 'checked="checked"';?> id="collageplus_header0"/>
            <?php echo $lang_plugin_collageplus['collageplus_no']?>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_collageplus['collageplus_lbox']?>&nbsp;&nbsp;</td>
          <td><input name="collageplus_lbox" type="radio" value="1" <?php if($COLLAGEPLUSSET['collageplus_lbox'] == 1) echo 'checked="checked"';?> id="collageplus_lbox1"/>
            <?php echo $lang_plugin_collageplus['collageplus_yes']?>
            <input name="collageplus_lbox" type="radio" value="0" <?php if($COLLAGEPLUSSET['collageplus_lbox'] == 0) echo 'checked="checked"';?> id="collageplus_lbox0"/>
            <?php echo $lang_plugin_collageplus['collageplus_no']?>
        </tr>
        <tr>
        <td><hr /></td>
        <td>&nbsp;</td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_collageplus['collageplus_caption']?>&nbsp;&nbsp;</td>
          <td><input name="collageplus_caption" type="radio" value="1" <?php if($COLLAGEPLUSSET['collageplus_caption'] == 1) echo 'checked="checked"';?> id="collageplus_caption1"/>
            <?php echo $lang_plugin_collageplus['collageplus_default']?>
            <input name="collageplus_caption" type="radio" value="2" <?php if($COLLAGEPLUSSET['collageplus_caption'] == 2) echo 'checked="checked"';?> id="collageplus_caption2"/>
            <?php echo $lang_plugin_collageplus['collageplus_tiptip']?>
            <input name="collageplus_caption" type="radio" value="0" <?php if($COLLAGEPLUSSET['collageplus_caption'] == 0) echo 'checked="checked"';?> id="collageplus_caption0"/>
            <?php echo $lang_plugin_collageplus['collageplus_off']?>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_collageplus['collageplus_thumb']?>&nbsp;&nbsp;</td>
          <td><input name="collageplus_thumb" type="radio" value="1" <?php if($COLLAGEPLUSSET['collageplus_thumb'] == 1) echo 'checked="checked"';?> id="collageplus_thumb1"/>
            <?php echo $lang_plugin_collageplus['collageplus_thumbnail']?>
            <input name="collageplus_thumb" type="radio" value="2" <?php if($COLLAGEPLUSSET['collageplus_thumb'] == 2) echo 'checked="checked"';?> id="collageplus_thumb2"/>
            <?php echo $lang_plugin_collageplus['collageplus_normal']?>
            <input name="collageplus_thumb" type="radio" value="0" <?php if($COLLAGEPLUSSET['collageplus_thumb'] == 0) echo 'checked="checked"';?> id="collageplus_thumb0"/>
            <?php echo $lang_plugin_collageplus['collageplus_fullsize']?>
        </tr>
        <tr id="cpwidth">
          <td width="50%" align="right">
            <?php echo $lang_plugin_collageplus['collageplus_width']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="collageplus_width" name="collageplus_width" type="int" value="<?php echo $COLLAGEPLUSSET['collageplus_width']?>" > px
          </td>
        </tr>
        <tr id="cpheight">
          <td width="50%" align="right">
            <?php echo $lang_plugin_collageplus['collageplus_height']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="collageplus_height" name="collageplus_height" type="int" value="<?php echo $COLLAGEPLUSSET['collageplus_height']?>" > px
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_collageplus['collageplus_numberofpics']?> (10-<?php echo $maxnum ?>)&nbsp;&nbsp;
          </td>
          <td width="50%">
          	<select name="collageplus_numberofpics" id="collageplus_numberofpics">
          	<?php for($i = 10; $i < $maxnum+1; $i++)
          	{
          	  echo '<option value="'.$i.'" ';
          	  if($COLLAGEPLUSSET['collageplus_numberofpics'] == $i) echo 'selected="selected" ';
          	  echo '>'.$i.'</option>';
          	} ?>
          </select>
          </td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_collageplus['collageplus_lastrow']?>&nbsp;&nbsp;</td>
          <td><input name="collageplus_lastrow" type="radio" value="1" <?php if($COLLAGEPLUSSET['collageplus_lastrow'] == 1) echo 'checked="checked"';?> id="collageplus_lastrow1"/>
            <?php echo $lang_plugin_collageplus['collageplus_yes']?>
            <input name="collageplus_lastrow" type="radio" value="0" <?php if($COLLAGEPLUSSET['collageplus_lastrow'] == 0) echo 'checked="checked"';?> id="collageplus_lastrow0"/>
            <?php echo $lang_plugin_collageplus['collageplus_no']?>
        </tr>
        <tr>
        <td><hr /></td>
        <td>&nbsp;</td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_collageplus['collageplus_margin']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="collageplus_margin" name="collageplus_margin" value="<?php echo $COLLAGEPLUSSET['collageplus_margin']?>"> px
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_collageplus['collageplus_fade']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="collageplus_fade" name="collageplus_fade" value="<?php echo $COLLAGEPLUSSET['collageplus_fade']?>"> sec
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_collageplus['collageplus_container']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="collageplus_container" name="collageplus_container" value="<?php echo $COLLAGEPLUSSET['collageplus_container']?>"> px
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_collageplus['collageplus_divclass']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="collageplus_ulclass" name="collageplus_ulclass" type="int" value="<?php echo $COLLAGEPLUSSET['collageplus_ulclass']?>" >
          </td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>
            <input name="update" type="hidden" id="update" value="1" /></td>
        </tr>  
        <tr>
          <td>&nbsp;</td>
          <td align="left"><input name="Submit" type="submit" value="<?php echo $lang_plugin_collageplus['submit_button']?>" /></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="center">&nbsp;</td>
        </tr>
      </table>
    </form></td>
</tr>
<?php 
endtable();

$scriptblock = <<< EOT
<script type="text/javascript">
$(function () {

if ($("#collageplus_thumb1").is(":checked")) {
            $('#cpwidth').hide();
            $('#cpheight').hide();
        }
        else {
            $('#cpwidth').show();
            $('#cpheight').show();
        };
        
$("#collageplus_thumb0, #collageplus_thumb1, #collageplus_thumb2").change(function () {
        if ($("#collageplus_thumb1").is(":checked")) {
            $('#cpwidth').hide();
            $('#cpheight').hide();
        }
        else if ($("#collageplus_thumb0").is(":checked")) {
            $('#cpwidth').show();
            $('#cpheight').show();
        }
        else if ($("#collageplus_thumb2").is(":checked")) {
            $('#cpwidth').show();
            $('#cpheight').show();
        }
    });
});
</script>
EOT;

echo $scriptblock;

pagefooter();
ob_end_flush();

?>